Create a Contact Collection
curl --request POST \
--url https://api.virtuoussoftware.com/api/Contact/{contactId}/Collection/{customCollectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{name: '<string>', value: '<string>'}, {name: '<string>', value: '<string>'}]
})
};
fetch('https://api.virtuoussoftware.com/api/Contact/{contactId}/Collection/{customCollectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Contact/{contactId}/Collection/{customCollectionId}"
payload = { "fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Contact/{contactId}/Collection/{customCollectionId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"fields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Contact/{contactId}/Collection/{customCollectionId}';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{name: '<string>', value: '<string>'}, {name: '<string>', value: '<string>'}]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Create a Contact Collection
Adds a new instance of the custom collection to the contact and sets its field values. Send one entry in fields for each field you want to populate. The response includes the collectionInstanceId you need to update or delete the instance later.
POST
/
api
/
Contact
/
{contactId}
/
Collection
/
{customCollectionId}
Create a Contact Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
(Required) The custom collection identifier.
Body
application/json
Show child attributes
Show child attributes
Last modified on August 11, 2026
Was this page helpful?
⌘I